%define upstream_name    Text-Unidecode
%define upstream_version 1.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    US-ASCII transliterations of Unicode text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
It often happens that you have non-Roman text data in Unicode, but you
can't display it -- usually because you're trying to show it to a user via
an application that doesn't support Unicode, or because the fonts you need
aren't accessible. You could represent the Unicode characters as "???????"
or "\15BA\15A0\1610...", but that's nearly useless to the user who actually
wants to read what the text says.

What Text::Unidecode provides is a function, 'unidecode(...)' that takes
Unicode data and tries to represent it in US-ASCII characters (i.e., the
universally displayable characters between 0x00 and 0x7F). The
representation is almost always an attempt at _transliteration_ -- i.e.,
conveying, in Roman letters, the pronunciation expressed by the text in
some other writing system. (See the example in the synopsis.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.300.0-6.mga10
+ Revision: 2204792
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-5.mga9
+ Revision: 1810555
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-4.mga8
+ Revision: 1506788
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.300.0-3.mga7
+ Revision: 1286988
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.300.0-2.mga7
+ Revision: 1167054
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.300.0-1.mga7
+ Revision: 1156098
- update to 1.30
- update to 1.30

* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-2.mga6
+ Revision: 1035176
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.270.0-1.mga6
+ Revision: 1002322
- update to 1.27

* Fri Feb 19 2016 umeabot <umeabot> 1.240.0-2.mga6
+ Revision: 969720
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.240.0-1.mga6
+ Revision: 873664
- update to 1.24

* Sun Jun 21 2015 sander85 <sander85> 1.230.0-1.mga6
+ Revision: 836972
- update to 1.23

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-3.mga5
+ Revision: 744274
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-2.mga5
+ Revision: 686663
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.220.0-1.mga5
+ Revision: 664000
- update to 1.22

* Tue Jul 01 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 641839
- update to 1.01

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 515599
- Mageia 4 Mass Rebuild
+ tmb <tmb>
- fix summary and description

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 374247
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 27179
- mageia rebuild
- imported package perl-Text-Unidecode

